Bug 69387 - X hangs on resume/monitor blank with nv50cal_space: -16
Summary: X hangs on resume/monitor blank with nv50cal_space: -16
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-15 18:08 UTC by Maris Nartiss
Modified: 2015-11-07 12:00 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Xorg log file when X failed to recover from power save state (37.17 KB, text/plain)
2013-09-15 18:08 UTC, Maris Nartiss
no flags Details
System log file when resuming from power save failed (73.63 KB, text/plain)
2013-09-15 18:11 UTC, Maris Nartiss
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maris Nartiss 2013-09-15 18:08:31 UTC
Created attachment 85873 [details]
Xorg log file when X failed to recover from power save state

When resuming from suspend to ram or blank screen (power saving), mouse is working but screen is stuck (not garbage).

After SSHing into system, it was under high load as X and kworker processes where fighting for CPU. dmesg was full with "nouveau E[ X[2406]] nv50cal_space: -16"
Reboot fixes the issue.

Gentoo ~AMD64
Comment 1 Maris Nartiss 2013-09-15 18:11:00 UTC
Created attachment 85874 [details]
System log file when resuming from power save failed

A system log file as dmesg had wrapped over due to repeating error messages (trimmed from the end of log file as were identical)
Comment 2 Maris Nartiss 2013-09-29 08:11:35 UTC
After kernel upgrade to 3.11.1 and xorg-server-1.14.3, resume from suspend was still broken but I didn't observe any hangs during power save mode.

This issue can be completely fixed by adding Option "NoAccel" "true" to xorg.conf file. Suspend/resume seems to work flawles without acceleration. It fixed also some random hangs during normal work (no bug report as no idea how to triger them or anything in system logs). 
Leaving this bug open suspend/resume should work also with enabled acceleration.
Comment 3 Ilia Mirkin 2015-11-07 08:03:56 UTC
Is this still an issue with more recent kernels?
Comment 4 Maris Nartiss 2015-11-07 12:00:38 UTC
I managed to suspend/resume without any problems with enabled acceleration for some 5 times. Yahoo! Issue seems to be solved. Finally I will get acceleration back (and thus upgrade to xf86-video-nouveau-1.0.11 #86164).

Tested with:
kernel: 4.2.4-gentoo
xorg-server-1.17.4
xf86-video-nouveau-1.0.10-r1


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.